﻿Public Class frmInfo

  Private Const WERMA_WEBSITE As String = "http://www.werma.com"
  Private Const WERMA_MAIL As String = "mailto:info@werma.com"


  Private Sub frmInfo_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    Dim dLastMod As Date
    Dim sExeFilename As String = My.Application.Info.AssemblyName()
    Dim sAppDir As String
    Dim oVersion As Diagnostics.FileVersionInfo = System.Diagnostics.FileVersionInfo.GetVersionInfo(Application.ExecutablePath)

    sAppDir = My.Application.Info.DirectoryPath()
    If sAppDir.Substring(sAppDir.Length - 1) <> "\" Then sAppDir &= "\"
    dLastMod = IO.File.GetLastWriteTime(sAppDir & sExeFilename & ".exe")

    lblVersion.Text = "Version " & oVersion.FileVersion & " (" & dLastMod.ToString("d") & ")"
  End Sub

  Private Sub picWermaMail_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picWermaMail.Click
    Try
      System.Diagnostics.Process.Start(WERMA_MAIL)
    Catch ex As Exception
    End Try
  End Sub

  Private Sub picWermaWeb_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picWermaWeb.Click
    OpenWermaWeb()
  End Sub

  Private Sub OpenWermaWeb()
    Try
      System.Diagnostics.Process.Start(WERMA_WEBSITE)
    Catch ex As Exception
      MsgBox("The website %1 could not be opened!" & vbCrLf & "Please enter the website via your web browser.", WERMA_WEBSITE, MsgBoxStyle.OkOnly Or MsgBoxStyle.Exclamation)
    End Try
  End Sub

  Private Sub picWermaLogo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picWermaLogo.Click
    OpenWermaWeb()
  End Sub


  Private Sub picClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picClose.Click
    Me.Close()
  End Sub

  Private Sub frmInfo_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyUp
    If e.KeyCode = Keys.Escape Then
      Me.Close()
    End If
  End Sub
End Class